cpw.mods.fml.client.event

## Class ConfigChangedEvent.OnConfigChangedEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - cpw.mods.fml.client.event.ConfigChangedEvent
    - - cpw.mods.fml.client.event.ConfigChangedEvent.OnConfigChangedEvent

- Enclosing class:
    ConfigChangedEvent

      public static class ConfigChangedEvent.OnConfigChangedEvent
      extends ConfigChangedEvent

  This event is intended to be consumed by the mod whose config has been changed. It fires when the Done button has been clicked on a GuiConfig screen and the following conditions are met:
  - at least one config element has been changed
  - one of these 2 conditions are met:
  1) the parent screen is null or is not an instance of GuiConfig
  2) the configID field has been set to a non-null value for the GuiConfig screen
  Modders should check the modID field of the event to ensure they are only acting on their own config screen's event!

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.client.event.ConfigChangedEvent

      `ConfigChangedEvent.OnConfigChangedEvent, ConfigChangedEvent.PostConfigChangedEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.client.event.ConfigChangedEvent

      `configID, isWorldRunning, modID, requiresMcRestart`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigChangedEvent.OnConfigChangedEvent(java.lang.String modID, java.lang.String configID, boolean isWorldRunning, boolean requiresMcRestart)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigChangedEvent.OnConfigChangedEvent

          public ConfigChangedEvent.OnConfigChangedEvent(java.lang.String modID,
                                                 java.lang.String configID,
                                                 boolean isWorldRunning,
                                                 boolean requiresMcRestart)